import { AiResponse } from "./index.js";
import { PromptTemplate } from "./promptTemplates.js";
export declare abstract class AiProviderRoot {
    protected token: string;
    getLabel(): string;
    promptAi(prompt: string, template?: PromptTemplate | null): Promise<AiResponse | null>;
    getAiMaxCallsNumber(): number;
    incrementAiCallsNumber(): void;
    checkMaxAiCallsNumber(): boolean;
}
